org.apache.cassandra.auth

## Class AllowAllAuthenticator

- java.lang.Object
- - org.apache.cassandra.auth.AllowAllAuthenticator

- All Implemented Interfaces:
    IAuthenticator

      public class AllowAllAuthenticator
      extends java.lang.Object
      implements IAuthenticator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.auth.IAuthenticator

      `IAuthenticator.SaslNegotiator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllowAllAuthenticator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticatedUser` | `legacyAuthenticate(java.util.Map<java.lang.String,java.lang.String> credentialsData)` For implementations which support the Thrift login method that accepts arbitrary key/value pairs containing credentials data.
    `IAuthenticator.SaslNegotiator` | `newSaslNegotiator()` Provide a SASL handler to perform authentication for an single connection.
    `java.util.Set<IResource>` | `protectedResources()` Set of resources that should be made inaccessible to users and only accessible internally.
    `boolean` | `requireAuthentication()` Whether or not the authenticator requires explicit login.
    `void` | `setup()` Setup is called once upon system startup to initialize the IAuthenticator.
    `void` | `validateConfiguration()` Validates configuration of IAuthenticator implementation (if configurable).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllowAllAuthenticator

          public AllowAllAuthenticator()

  - ### Method Detail

    - #### requireAuthentication

          public boolean requireAuthentication()

      Description copied from interface: `IAuthenticator`
      Whether or not the authenticator requires explicit login. If false will instantiate user with AuthenticatedUser.ANONYMOUS_USER.
      Specified by:
        `requireAuthentication` in interface `IAuthenticator`

    - #### protectedResources

          public java.util.Set<IResource> protectedResources()

      Description copied from interface: `IAuthenticator`
      Set of resources that should be made inaccessible to users and only accessible internally.
      Specified by:
        `protectedResources` in interface `IAuthenticator`
      Returns:
        Keyspaces, column families that will be unmodifiable by users; other resources.

    - #### validateConfiguration

          public void validateConfiguration()
                                     throws ConfigurationException

      Description copied from interface: `IAuthenticator`
      Validates configuration of IAuthenticator implementation (if configurable).
      Specified by:
        `validateConfiguration` in interface `IAuthenticator`
      Throws:
        `ConfigurationException` - when there is a configuration error.

    - #### setup

          public void setup()

      Description copied from interface: `IAuthenticator`
      Setup is called once upon system startup to initialize the IAuthenticator. For example, use this method to create any required keyspaces/column families.
      Specified by:
        `setup` in interface `IAuthenticator`

    - #### newSaslNegotiator

          public IAuthenticator.SaslNegotiator newSaslNegotiator()

      Description copied from interface: `IAuthenticator`
      Provide a SASL handler to perform authentication for an single connection. SASL is a stateful protocol, so a new instance must be used for each authentication attempt.
      Specified by:
        `newSaslNegotiator` in interface `IAuthenticator`
      Returns:
        org.apache.cassandra.auth.IAuthenticator.SaslNegotiator implementation (see `PasswordAuthenticator.PlainTextSaslAuthenticator`)

    - #### legacyAuthenticate

          public AuthenticatedUser legacyAuthenticate(java.util.Map<java.lang.String,java.lang.String> credentialsData)

      Description copied from interface: `IAuthenticator`
      For implementations which support the Thrift login method that accepts arbitrary key/value pairs containing credentials data. Also used by CQL native protocol v1, in which username and password are sent from client to server in a `CredentialsMessage` Implementations where support for Thrift and CQL protocol v1 is not required should make this an unsupported operation. Should never return null - always throw AuthenticationException instead. Returning AuthenticatedUser.ANONYMOUS_USER is an option as well if authentication is not required.
      Specified by:
        `legacyAuthenticate` in interface `IAuthenticator`
      Parameters:
        `credentialsData` - implementation specific key/value pairs
      Returns:
        non-null representation of the authenticated subject

Copyright © 2018 The Apache Software Foundation